WebLogicServlet (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicServlet interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicServlet

All Superinterfaces:
  J2EEComponent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Servlet

    public interface WebLogicServlet

extends Servlet

Represents a WebLogic Servlet.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getJSPFile()`
`int` | `getLoadOnStartup()`
`java.lang.String` | `getRunAs()`
`java.lang.String` | `getServletClass()`
`java.lang.String` | `getServletName()`
`boolean` | `hasJSPFile()`
`boolean` | `hasLoadOnStartup()`
`boolean` | `hasRunAs()`
`boolean` | `hasServletClass()`
`boolean` | `hasServletName()`
`void` | `setJSPFile(java.lang.String s)`
`void` | `setLoadOnStartup(int i)`
`void` | `setRunAs(java.lang.String s)`
`void` | `setServletClass(java.lang.String s)`
`void` | `setServletName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEComponent
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getJSPFile

    java.lang.String getJSPFile()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJSPFile

    void setJSPFile(java.lang.String s)

### hasJSPFile

    boolean hasJSPFile()

### getRunAs

    java.lang.String getRunAs()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRunAs

    void setRunAs(java.lang.String s)

### hasRunAs

    boolean hasRunAs()

### getServletName

    java.lang.String getServletName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServletName

    void setServletName(java.lang.String s)

### hasServletName

    boolean hasServletName()

### getServletClass

    java.lang.String getServletClass()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServletClass

    void setServletClass(java.lang.String s)

### hasServletClass

    boolean hasServletClass()

### getLoadOnStartup

    int getLoadOnStartup()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoadOnStartup

    void setLoadOnStartup(int i)

### hasLoadOnStartup

    boolean hasLoadOnStartup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD